Subject: Re: [parisc-linux] [git patches] tulip fixes from parisc-linux

From: Andrew Morton <[email-masked]>
Date: Sun, 30 Jul 2006 11:35:32 -0700

On Sun, 30 Jul 2006 12:56:07 -0400
Kyle McMartin <[email-masked]> wrote:

> On Sat, Jul 29, 2006 at 06:43:39PM -0600, Grant Grundler wrote:
> > I just wanted to warn that some of the changes are already in akpm
> > 's tree (-mm).
> > Becuase off hand I've forgotten which ones, would it be better to
> > diff against -mm instead?
> 
> tulip-fix-shutdown-dma-irq-race.patch
>   tulip: fix shutdown DMA/irq race
> 
> tulip-fix-for-64-bit-mips.patch
>   tulip: fix for 64-bit mips
> 
> tulip-natsemi-dp83840a-phy-fix.patch
>   tulip: NatSemi DP83840A PHY fix
> 
> Are the tulip patches in -mm, found here:
> http://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.18-rc2/2.6.18-rc2-mm1/broken-out/tulip-fix-for-64-bit-mips.patch
> http://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.18-rc2/2.6.18-rc2-mm1/broken-out/tulip-fix-shutdown-dma-irq-race.patch
> http://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.18-rc2/2.6.18-rc2-mm1/broken-out/tulip-natsemi-dp83840a-phy-fix.patch
> 
> [akpm: I added you to the CC list, if Val acks the patches can
> you see that they make their way into -mm?
> git.kernel.org/pub/scm/linux/kernel/git/kyle/tulip-2.6.git#master]
> 

hm.  A couple of those patches have been futzing around in -mm for over a
year and have been nacked by Jeff and are a regular source of grumpygrams. 
I've been sitting on them in the pathetic hope that someone will one day
get down and address the bugs which they fix in an acceptable fashion,
whatever that is.